---
title: 2023
draft: false
description: "In diesem Jahr war das Thema der 20 verschiedenen Projekte „Georg
  Cantor und das Cantor-Gymnasium“, weil unsere Schule in 2023 sein 35-jähriges
  Bestehen feiert. So vielfältig wie das Schulleben am GCG waren auch die
  Projektangebote: Historisches, Technisches, Künstlerisches, Musikalisches,
  Literarisches und Sportliches war Gegenstand der Untersuchungen und
  Beschäftigungen genauso wie Philosophisches und natürlich – unserem Profil
  entsprechend – Naturwissenschaftliches."
type: projektwoche
tiles:
  - title: Unser "Cantor" aus Sicht der Schulchronisten
    bg_color: "#990000"
    icon: mdi mdi-pillar
    font_color: white
    content: >
      Lust auf „Zurück in die Zukunft“? Was soll denn das nun heißen? In diesem
      Projekt haben die   Mitglieder der Schulchronik AG, Chiamaka, Timm und
      Dominic, die neue digitale Version der Schulchronik ergänzt, verbessert
      und verfeinert. Denys, unser Schulsprecher und Macher der neuen
      Schulhomepage, hat uns dabei enorm unterstützt und in die weite Welt
      seines Programmierens entführt. Eine super Überraschung für uns war, dass
      der Urchronist und Designer der 1. Schulchronik-Homepage Max Appel uns
      besucht hat. Die Mitglieder unseres Projektteams Iain, Jonas, Sören,
      Thomas, Ben, Paul und Julian waren als Tester der 4 smarten Cantor-Apps
      auf den Spuren Cantors und seiner Mathematik in ganz Halle unterwegs und
      hatten die Aufgabe, diese Apps zu probieren, zu verbessern und
      weiterzuentwickeln, wenn ihnen dies sinnvoll und nötig erschien. Wir haben
      natürlich auch Pläne für weitere Projekte in unserer Schulchronikarbeit
      entworfen, denn wir arbeiten ja „Zurück in die Zukunft“.


      {{< gallery dir="/media/projektwoche/2023/p01" >}}
  - title: Georg Cantor zwischen Genie und Wahnsinn
    bg_color: "#e4fdfd"
    icon: mdi mdi-head-cog-outline
    font_color: black
    content: >+
      Wir haben uns in der Projektwoche mit Cantors psychischen Erkrankungen
      auseinandergesetzt.


      Die drei Tage waren sehr abwechslungsreich und mit vielen informativen Inhalten gestaltet. Am Montag setzten wir uns erst einmal mit Cantors Biografie, seinen mathematischen Erkenntnissen und seiner bipolaren Störung auseinander. Unseren Dienstag verbrachten wir erst mit der Vorbereitung von Fragen für den Oberarzt der Universitätsklinik für Psychiatrie, Herrn Dr. med. Krause. Mit jenem waren wir später auch in der Klink verabredet, und er beantwortete uns alles sehr ausführlich und verständlich. Wir fassten unsere Ergebnisse am Mittwoch zusammen, und erstellten die Präsentation.


      Die Vorstellung unserer Woche vor der Schulgemeinschaft lief sehr gut, und wir bedanken uns noch einmal für das rege Interesse.


      _-Franziska Berner_




      {{< gallery dir="/media/projektwoche/2023/p02" >}}


  - title: Keramikreliefs und anderes aus dem Brennofen
    bg_color: "#cc9966"
    icon: mdi mdi-fireplace
    font_color: black
    content: >
      Wir ergänzen die fehlenden Reliefs im Schulhaus und stellen Dinge her, die
      unser Schuljubiläum bereichern werden.

      {{< gallery dir="/media/projektwoche/2023/p03" >}}
  - title: Unendlichkeiten der Zeit
    bg_color: "#6666ff"
    icon: mdi mdi-printer-3d
    font_color: white
    content: >
      Wir nutzten den 3-D-Drucker, um Uhren und weitere Merchandising-Artikel zu
      gestalten und zu produzieren.
  - title: Unendlichkeit in der Literatur
    bg_color: "#ccffcc"
    icon: mdi mdi-bookshelf
    font_color: black
    content: >+
      Unser Projekt handelt vom Schreiben einer „unendlichen Geschichte“.


      Am Montag haben wir uns als Inspiration den Film: „Die unendliche Geschichte“ angesehen. Dann sollten wir ein Elfchen zum Thema Unendlichkeit geschrieben, welches später auf ein weißes Blatt Papier übertragen und noch ein wenig mit Illustrationen verziert wurde.


      Herr Langen hat uns danach verschiedene Möglichkeiten gezeigt, wie wir unsere endgültige Geschichte schreiben könnten, zum Beispiel:


      - Fantasiegeschichte

      - Gedicht

      - Kurzgeschichte

      - Reihumgeschichte

      - Collage

      - Geschichte zu Foto


      Am Dienstag haben wir unsere Ideen vorerst auf ein normales Schreibblatt geschrieben und danach

      auf einen Laptop übertragen. Am Mittwoch wurden die letzten Geschichten noch fertig verfasst und schließlich in der

      Lernwerkstatt ausgedruckt. Zum Schluss haben wir dann noch für die Präsentationen unserer Projekte, welche am Donnerstag stattfand, geübt.


      _-Enya, Isabelle, Eleanor R. (6/2)_




      {{< gallery dir="/media/projektwoche/2023/p05" >}}


  - title: Unendlich viele Affen schreiben Shakespeare
    bg_color: "#ff9933"
    icon: mdi mdi-fountain-pen-tip
    font_color: black
    content: >+
      Es ist ein gleichermaßen bekanntes wie bizarres Gedankenexperiment:
      Unendlich viele Schimpansen sitzen vor Schreibmaschinen und tippen wahllos
      auf die Tasten, unendlich oft. Am Ende entsteht Hamlet - oder jedes andere
      Werk. Aber stimmt das so? _To be or not to be, that is the question?_ 


      Die Wahrscheinlichkeitsrechnung liefert für ein solches Szenario eine eindeutige Antwort: Die Affen würden über kurz oder lang auch Shakespearetexte schreiben – aber es wäre Geduld gefragt – SEHR VIEL Geduld, tatsächlich sehr viel länger als unser Universum alt ist. Shakespeare kann beruhigt sein, seine Werke sind einmalig und nicht von einer Horde Affen bedroht. Das Experiment soll illustrieren, wie Zufall und Unendlichkeit selbst sehr unwahrscheinliche Ergebnisse liefern können – zumindest in der Theorie.


      Für die Projektwoche bot es die Gelegenheit, den Begriff der Unendlichkeit – oder besser der Unendlichkeiten – zu untersuchen und dabei auch über den Tellerrand zu schauen. Denn neben Cantors bahnbrechenden Erkenntnissen zu den mathematischen Eigenschaften der Unendlichkeit, konnten in diesem Projekt auch William Shakespeare und Charles Darwin zu Wort kommen. Letzterer ist tatsächlich öfter mit den zu langsam schreibenden Affen konfrontiert worden. Das Experiment ist oft als „Beweis“ gegen die Evolutionslehre und als angeblicher Beweis für kreationistische Gegenentwürfe, wie „Intelligent Design“ ins Feld geführt worden: Wenn Zufall zu lange für Shakespeare benötigt, wie soll die weit komplexere Biodiversität durch ungesteuerten Zufall (Evolution) entstanden sein? Das Argument ist natürlich so nicht ganz vollständig, denn mit Zufall allein und ohne die alles entscheidende nichtzufällige Auslese würde Darwins Theorie in der Tat nicht funktionieren.


      Und so hat das Projekt in einem kleinen Film versucht, diese Zusammenhänge zu beleuchten, indem Cantor, Darwin und Shakespeare einem tagträumenden Schüler erscheinen, ihre Ideen erklären und ihm so zu neuen Einsichten verhelfen. Für die Entwicklung des Films mussten auch im Wachzustand viele Erkenntnisse durchdrungen und in ein Filmskript gegossen werden. Schauspielerisches Talent und kreative Szenengestaltung waren dabei genauso gefordert, wie ein vernetztes Verständnis des Themas. Eine Herausforderung, der sich alle Teilnehmenden mit Elan und Erfolg gestellt haben. 


      Am Ende steht nicht nur ein kleiner, lustiger, bisweilen sogar bizarrer Film, sondern auch eine Projektwoche, in der viele Schülerinnen auch außerhalb der gewohnten Denkmuster aktiv nachgedacht und kreativ gearbeitet haben. Cantor, Darwin und Shakespeare hätten sicher ihre Freude daran gehabt.




      {{< gallery dir="/media/projektwoche/2023/p06" >}}


  - title: Berühmte Zeitgenossen Cantors in Halle
    bg_color: "#336699"
    icon: mdi mdi-account-question-outline
    font_color: white
    content: >
      Zehn Schülerinnen und Schüler haben in vier Gruppen gearbeitet und
      Informationen zu Zeitgenossen von Georg Cantor in Halle gesammelt und zu
      einer Präsentation zusammengefasst.

      Dabei haben wir uns für Gustav Staude, Richard Robert Rive, Carl Adolph Riebeck, Carl Robert und Robert Franz entschieden.


      Im Netz haben wir ihre Lebensdaten und Bilder dazu recherchiert. Außerdem waren wir am Mittwoch auf dem Stadtgottesacker und haben die Grabstätten von Gustav Staude, Robert Franz und Carl Adolph Riebeck aufgesucht.


      Leider konnten wir nicht herausfinden, ob diese Persönlichkeiten mit Georg Cantor persönlich bekannt waren.


      {{< gallery dir="/media/projektwoche/2023/p07" >}}
  - title: Wir basteln eigene Brettspiele zu Cantor und zum GCG
    bg_color: "#cc3333"
    icon: mdi mdi-checkerboard
    font_color: white
    content: >
      Im Projekt „Wir basteln eigene Brettspiele zu Cantor und dem GCG“ hatten
      16 Schülerinnen und Schüler die Möglichkeit ihrer Kreativität freien Lauf
      zu lassen. Mit Arcylstiften, Farben, viel Flüssig- und Heißkleber,
      gestaltbaren Spielkarten und vielen Wackelaugen entstanden auf
      Blankospielbrettern in diesem Jahr vier Spiele. Dazu zählen drei
      Monopolys, welche unsere Klassenräume, aber auch die Lehrer abbilden. Eine
      weitere Gruppe erstellte ein MINT-Cantor-Trivial Pursuit. Alle
      Teilnehmenden waren am Ende der Woche stolz auf ihre Arbeitsergebnisse und
      probierten sie während der Projektpräsention mit ihren Mitschülern
      zusammen aus.


      Die vier Spiele sind jetzt für 1 Jahr in der Lernwerkstatt allen Schülerinnen und Schülern unserer Schule zum Ausprobieren zugänglich. Danach dürfen die Bastler entscheiden, ob sie die Spiele mit nach Hause nehmen wollen.


      {{< gallery dir="/media/projektwoche/2023/p09" >}}
  - title: Ein Cantor-Team-Duell
    bg_color: "#99cc99"
    icon: mdi mdi-fencing
    font_color: black
    content: >
      Bei diesem Projekt konnten die Schülerinnen und Schüler ihrer ganzen
      Kreativität und Ehrgeiz freien Lauf lassen. In den ersten Tagen der
      Projektwoche ging es um die Vorbereitung des Duells: in Vierer-Gruppen
      wurden 12 eigene Spiele entwickelt und vorbereitet.


      Ob Lehrerstimmen-Raten, ein Parcours oder Cantor-Quiz - es war für jeden etwas dabei.


      Die Mühe zahlte sich aus, denn am Mittwoch konnten die Teams in einem hitzigen Wettkampf gegeneinander antreten. Am Ende konnte es zwar nur einen Gewinner geben, aber hier hatten alle ihren Spaß!


      _-Laurens Kort_


      {{< gallery dir="/media/projektwoche/2023/p10" >}}
  - title: Cantor-School-Rap
    bg_color: "#ffcccc"
    icon: mdi mdi-microphone-variant
    font_color: black
    content: >
      Unser Cantor-School-Rap entstand mit Beteiligung der Klassen 5, 6, 8 und
      11. Am Anfang sichteten wir ausgewählte Texte zu Georg Cantors Leben, der
      Geschichte der Torstraße und des Schulgebäudes sowie der Entstehung und
      Entwicklung unserer Schule. In kleinen Vorträgen wurden die wichtigsten
      Informationen vorgestellt. Anschließend übten wir anhand einiger Raps das
      rhythmische Sprechen zum 4/4-Beat, um ein Gefühl dafür zu bekommen, wie
      unsere eigenen Textzeilen ungefähr aufgebaut sein müssten. In kleinen
      Gruppen formulierten wir die Informationen, die wir gesammelt hatten, in
      Rapstrophen um. Eine andere Gruppe war damit beschäftigt, Melodie und Text
      für den Refrain zu finden und eine passende Begleitung zu entwerfen.


      Am zweiten Tag liefen wir die Route der Cantor-Rallye ab und sahen uns Orte in Halle an, die mit Georg Cantor verbunden sind. Zurück in der Schule feilten wir weiter an unseren Texten und der musikalischen Umsetzung und bereiteten die Projektpräsentation vor. Der dritte Tag wurde hauptsächlich genutzt, um das Sprechen der Textzeilen zu trainieren, den Refrain einzustudieren, für den Liveauftritt zu üben und aus separaten Tonspuren eine Audioversion des Songs zu basteln.


      Die Präsentation am vierten Tag hat allen viel Spaß gemacht. Es kamen viele Zuhörer. Insgesamt vier Mal trugen unterschiedliche Gruppen vor, was wir in den drei Projekttagen gelernt und erlebt haben. Als Höhepunkt führten wir jeweils unseren Cantor-School-Rap auf, was jedes Mal gut klappte.

      {{< audio src="/media/projektwoche/2023/p11/school_rap.mp3" >}}

      {{< gallery dir="/media/projektwoche/2023/p11" >}}
  - title: Chor und Schulband
    bg_color: "#ffcc00"
    icon: mdi mdi-music-clef-treble
    font_color: black
    content: |
      {{< gallery dir="/media/projektwoche/2023/p12" >}}
  - title: Farben zu Cantors Zeiten
    bg_color: "#ccccff"
    icon: mdi mdi-test-tube
    font_color: black
    content: >
      Die Projektgruppe „Farben zu Cantors Zeiten“, geleitet von Frau
      Dubberstein, beschäftigte sich in der Projektwoche des Jahres 2023 mit
      Reaktionen von farbigen Komplexverbindungen, welche zu Cantors Zeiten eine
      bedeutende Rolle in der Textilindustrie spielten. Am ersten Projekttag
      besuchten sie die Abteilung der anorganischen Chemie des Institutes für
      Chemie der Martin-Luther-Universität Halle-Wittenberg. Dort führten sie
      verschiedenste Experimente mit der Thematik Komplexreaktionen durch, wie
      zum Beispiel eine Chromatografie mit in Aceton gelöstem Paprikapulver. An
      den darauffolgenden Tagen werteten sie mit ihren experimentellen und
      weiteren Rechercheergebnissen ihre zu vorige praktische Arbeit aus und
      stellten den Bezug zu Georg Cantor her.


      {{< gallery dir="/media/projektwoche/2023/p13" >}}
  - title: Die Stadt Halle zu Cantors Zeiten
    bg_color: "#009999"
    icon: mdi mdi-bank-outline
    font_color: white
    content: >
      <iframe src="/media/projektwoche/2023/p14/Medizin_Cantor.pdf" width="100%"
      height="600vh"></iframe>
  - title: Wir fotografieren die Unendlichkeit
    bg_color: "#ccff66"
    icon: mdi mdi-camera-outline
    font_color: black
    content: >+
      Kann man die Unendlichkeit fotografieren? Sicher nicht. Wie soll das
      gehen, etwas Endloses abzubilden? Unsere Projektgruppe hat versucht, die
      Unendlichkeit in den verschiedenen Kategorien zu betrachten, im Raum, in
      der Zeit, in der Symbolik, in Strukturen, Formen, Zeichen oder Metaphern,
      um in eigener Bildsprache einen Ausdruck für die Unendlichkeit zu finden.
      Aber wir haben auch ein bisschen gemogelt und auch Dinge fotografiert,
      deren Vielfalt uns unendlich erschien und verwiesen damit auf den
      unendlichen Erfindungsreichtum des Menschen. In unserem Projekt hatte man
      außerdem die Möglichkeit, Grundsätzliches zum Fotografieren zu lernen und
      verschiedene Kameras auszuprobieren. Ausgangspunkt aller Überlegungen war
      jedoch Georg Cantor, der sich bis zum Wahnsinn mit der Unendlichkeit
      beschäftigt hat. Ihm und uns zu Ehren entstanden Bildpräsentationen, die
      das Thema Unendlichkeit fotografisch visualisierten.




      {{< gallery dir="/media/projektwoche/2023/p15" >}}


  - title: Philosophie und Unendlichkeit
    bg_color: "#cc6600"
    icon: mdi mdi-all-inclusive-box-outline
    font_color: white
    content: >+
      In der Projektgruppe "Philosophie und Unendlichkeit" haben sich
      Schülerinnen und Schüler mit verschiedenen Ansätzen zur Erklärung der
      Unendlichkeit beschäftigt. 

      Dabei wurde in Kleingruppen gearbeitet und sich mit unterschiedlichen Philosophen und deren Ansätzen zur Unendlichkeit auseinandergesetzt. Die Schülerinnen und Schüler haben beispielsweise die Gedanken von Georg Cantor und Platon betrachtet, eine Umfrage entworfen und durchgeführt und Fotos zur Unendlichkeit gemacht. 


      Im Rahmen des Projekts haben die Schülerinnen und Schüler eine eigene Zeitschrift zum Thema gestaltet. Hierbei wurden Artikel zu verschiedenen Aspekten der Unendlichkeit verfasst und illustriert. Die Ergebnisse wurden am Ende der Woche präsentiert. 


      Insgesamt war die Projektwoche ein spannender Einblick in die Welt der Philosophie und ein inspirierender Austausch über die Unendlichkeit. Die Schülerinnen und Schüler haben dabei nicht nur ihr Wissen erweitert, sondern auch ihre kreativen Fähigkeiten eingesetzt, um das Thema in ihrer eigenen Zeitschrift zu präsentieren.




      {{< gallery dir="/media/projektwoche/2023/p16" >}}


  - title: Das unendlich Große/Kleine in den Naturwissenschaften
    bg_color: "#cc0066"
    icon: mdi mdi-bacteria-outline
    font_color: white
    content: |
      {{< gallery dir="/media/projektwoche/2023/p17" >}}
  - title: Bau einer Rube-Goldberg-Maschine
    bg_color: "#996699"
    icon: mdi mdi-state-machine
    font_color: white
    content: >+
      In unserem Projekt ging es darum, eine Maschine zu bauen, die man im
      Idealfall nur einmal zu Beginn startet bzw. anstößt. Im Anschluss daran
      sollte eine Kettenreaktion ablaufen, bei der von Dominos über
      zurechtgeschnittenen Pappbechern bis hin zu Teelichtern und magnetischen
      Kugeln alles erlaubt war. 


      Bei unseren Schülerinnen und Schülern des Georg-Cantor-Gymnasiums fand diese Projektidee großen Anklang, sodass sich über 40 Kinder aus den Klassen 5 bis 7 am Bau unserer eigenen Rube-Goldberg-Maschine beteiligten. Zuerst wurde dabei eine Aufteilung in Kleingruppen vorgenommen, danach konnte munter an der Maschine getüftelt und gebastelt werden. Mit großer Begeisterung und Motivation sowie Kreativität und Ideenreichtum entwickelten alle Teilnehmer eine Reaktion, die über drei Räume ablief. Allen Schülerinnen und Schülern war der Spaß am Projekt merklich anzusehen und selbstverständlich auch der Stolz und die Freude, wenn der eigene beigesteuerte Abschnitt der Maschine ohne weiteres „Anstupsen“ funktionierte. Am Donnerstag zur Präsentation und Vorstellung wurden zahlreiche Zuschauer angelockt und ließen sich in zwei Durchläufen ebenfalls von unserer Rube-Goldberg-Maschine begeistern.


      Demzufolge kann das Projekt als voller Erfolg angesehen werden und wir als betreuende Lehrerinnen und Lehrer können nur ein positives Gesamtfazit ziehen. 




      {{< gallery dir="/media/projektwoche/2023/p18" >}}


  - title: Kleine Ursache - großer Effekt
    bg_color: "#3333cc"
    icon: mdi mdi-magnet-on
    font_color: white
    content: |
      {{< gallery dir="/media/projektwoche/2023/p19" >}}
  - title: Science meets Literature
    bg_color: "#ffff00"
    icon: mdi mdi-book-search-outline
    font_color: black
    content: |
      {{< gallery dir="/media/projektwoche/2023/p20" >}}
  - title: Cantor - Wer kann ihm entkommen?
    bg_color: "#9966ff"
    icon: mdi mdi-map-legend
    font_color: white
    content: |
      {{< gallery dir="/media/projektwoche/2023/p21" >}}
---
Nach drei arbeitsreichen Tagen wurden am Donnerstag die Ergebnisse präsentiert: abwechslungsreich und interessant. Am Nachmittag dann der Höhepunkt der Festwoche mit der [Ehrung des Cantorpreisträgers Bernhard Fuchs aus der 12. Klasse](/blog/cantorpreisverleihung-2023/). Den Festvortrag hielt Herr Professor Roth zum „Chemischen Geheimnis einer Stradivari“. Den Abschluss der Kultur- und Wissenschaftstage bildete ein Programm am Freitag, das für die verschiedenen Klassenstufen unterschiedliche Schwerpunkte setzte: Die 5. und 6. Klassen durften am Morgen einem Fabelprogramm „Der Ochse auf der Löwenhochzeit“ lauschen und danach an sechs verschiedenen Stationen in Zusammenarbeit mit der Landesverkehrswacht ihre Verkehrssicherheit testen. Die 7. Klassen erweiterten ihr Wissen zu gesundem Leben auf aktive Weise mit dem Body&Grips-Mobil des DRK, dabei wurden die einzelnen Stationen von den Schülerinnen und Schülern der 11. Klassen betreut. Die 8. Klassen schwärmten in 10 verschiedene Unternehmen der Region aus, um sich in verschiedenen technischen Projekten auszuprobieren. Die 9. Klassen waren Zeugen der Zwischenpräsentationen der wissenschaftlich-praktischen Arbeiten ihrer ein Jahr älteren Mitschüler und wurden dann mit verschiedenen Instituten der Martin-Luther-Universität bekannt gemacht. Die 10. Klassen durften nach der Zwischenpräsentation der wpA an einem musikalischen Heine-Programm „Ich bin ein deutscher Dichter“ präsentiert vom Künstlerduo „Rose & Georgi“ teilhaben.

Zahlreiche Eindrücke werden auch in einem separaten [Artikel](/blog/festwoche-2023/) vorgestellt.
